Page MenuHomePhabricator

Introduce rcshow=oresreview and similar ones
Closed, ResolvedPublic

Description

See T122689#1939440

We need to add two cases to "..show" parameters when list=watchlist or recentchanges, or usercontribs (for the sake of consistency between GUI and API). I suggest we add "oresreview" and "!oresreview" which the first one only shows edits that passes a certain threshold [1] and second one only shows good edits. we can simply query from ores_classification table
[1]: This threshold is $wgOresDamagingThreshold and it's determined wiki-wide but my plan is to change it to something users can alter in their preferences.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 9:10 PM
Anomie added a subscriber: Anomie.Aug 23 2016, 1:54 PM
Halfak triaged this task as Normal priority.Aug 25 2016, 2:29 PM
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.
Anomie updated the task description. (Show Details)Sep 19 2016, 6:31 PM

list=watchlist might be a bit tricky, since it's using WatchedItemQueryService instead of doing the queries directly so it won't be as easy to adjust the query from the extension's hooks. I've asked @Addshore for advice on that since he wrote that code.

One open question is what to do for revisions that don't already have scores saved in the database:

  1. Treat them as needing review (only returned with show=oresreview)
  2. Treat them as not needing review (only returned with show=!oresreview)
  3. Filter them out when either ORES filtering option is used
  4. Don't filter them out (only apply the filtering to revisions that have scores)

Note that #1 or #2 could result in unexpected output, since later fetching the scores for those revisions might reveal they should have been filtered out.

For the sake of consistency with the GUI, I think we should follow #2. Number of revisions not stored in the db is negligible for watchlist and recent changes. What do you think?

I lean towards #3, but that's mainly because the potential for inconsistency really bugs me.

Change 313830 had a related patch set uploaded (by Anomie):
API: Add hooks for ApiQueryBase's query and row-processing

https://gerrit.wikimedia.org/r/313830

Change 313831 had a related patch set uploaded (by Anomie):
Action API integration for ORES

https://gerrit.wikimedia.org/r/313831

Change 313830 merged by jenkins-bot:
API: Add hooks for ApiQueryBase's query and row-processing

https://gerrit.wikimedia.org/r/313830

Halfak closed this task as Resolved.Oct 11 2016, 11:51 PM
Halfak claimed this task.
Anomie reopened this task as Open.Oct 12 2016, 2:35 PM
Anomie claimed this task.
Anomie added a subscriber: Halfak.

This isn't done yet.

My mistake! Sorry about that.

Change 313831 merged by jenkins-bot:
Action API integration for ORES

https://gerrit.wikimedia.org/r/313831